
QGIS Application - Bug report #15346

Legend in composer won't resize after applying filter or hiding groups/subgroups

2016-07-26 04:55 PM - Miroslav Umlauf

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.16.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23278

Description

When "Filer legend by map content" is used or "Hidden" checked for group or subgroup the legend in composer won't resize to it's new

(smaller) height of items. Interestingly it works the other way around (after it is manually downsized) when turning off the filter or switching

off from "Hidden" state the legend updates it's size to show all visible items.

Affected versions: both 2.14 long term and 2.16

History

#1 - 2016-07-26 05:50 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Should be fixed already in the upcoming 2.14.5 and 2.16.1 versions. Please reopen if you can reproduce in those versions.

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
